Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.machinereassignment.domain.solver
Class MrMachineTransientUsage

    java.lang.Object
      org.optaplanner.examples.machinereassignment.domain.solver.MrMachineTransientUsage

All Implemented Interfaces:
  Serializable, Comparable<MrMachineTransientUsage>

    public class MrMachineTransientUsage

extends Object
implements Serializable, Comparable<MrMachineTransientUsage>

See Also:
  Serialized Form

Constructor Summary
`MrMachineTransientUsage(MrMachineCapacity machineCapacity, long usage)`

Method Summary
`int` | `compareTo(MrMachineTransientUsage other)` Used by the GUI to sort the `ConstraintMatch` list by `ConstraintMatch.getJustificationList()`.
`boolean` | `equals(Object o)`
`MrMachine` | `getMachine()`
`MrMachineCapacity` | `getMachineCapacity()`
`MrResource` | `getResource()`
`long` | `getUsage()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MrMachineTransientUsage

    public MrMachineTransientUsage(MrMachineCapacity machineCapacity,
                                   long usage)

Method Detail

### getMachineCapacity

    public MrMachineCapacity getMachineCapacity()

### getUsage

    public long getUsage()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### compareTo

    public int compareTo(MrMachineTransientUsage other)

  Used by the GUI to sort the `ConstraintMatch` list by `ConstraintMatch.getJustificationList()`.

  Specified by:
    `compareTo` in interface `Comparable<MrMachineTransientUsage>`
  Parameters:
    `other` - never null
  Returns:
    comparison

### getMachine

    public MrMachine getMachine()

### getResource

    public MrResource getResource()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.